package com.sonic.frog;

import com.sonic.sdk.api.annotation.EnableDecrypt;
import com.sonic.sdk.api.annotation.EnableGatWayAuthScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

import java.util.Date;
import java.util.TimeZone;

/**
 * @author code
 */
@EnableSwagger2
@EnableScheduling
@ComponentScan(value = {"com.sonic"})
@SpringBootApplication
@EnableGatWayAuthScan(basePackages = "com.sonic.frog.controller")
@EnableDecrypt
public class MainApplication {
    public static void main(String[] args) {
        //打印时区
        System.out.println("===> 程序启动前，JVM 默认时区: " + TimeZone.getDefault().getID());
        System.out.println("===> 程序启动前，当前时间 (Date): " + new Date());
        SpringApplication.run(MainApplication.class, args);
        //再次打印时区
        System.out.println("===> 程序启动后，JVM 默认时区: " + TimeZone.getDefault().getID());
        System.out.println("===> 程序启动后，当前时间 (Date): " + new Date());
    }
}
